package com.develop.common.data_repo.net.model.request

import com.develop.base.ext.genMultipartBody
import com.develop.base.ext.getSN
import okhttp3.RequestBody

object UpdatePasswordBody {
    fun genUpdatePasswordBody(
        account: String,
        password: String,
        verifyCodeKey: String,
        verifyCode: String
    ): RequestBody {
        val map = HashMap<String, String>()
        map["account"] = account
        map["sn"] = getSN()
        map["password"] = password
        map["verifyCodeKey"] = verifyCodeKey
        map["verifyCode"] = verifyCode
        return map.genMultipartBody()
    }
}